Subject: Re: [Bitcoin-development] Roadmap/schedules

From: Mike Hearn <[email-masked]>
Date: Thu, 11 Aug 2011 13:56:34 +0200

> they don't look good (I show about 3x as many 0.3.23 nodes listening as
> 0.3.24

*cough* Upgrade alerts.

> Very much needed, didn't TD say something about a friend who wanted to
> do research in this area?

I don't know if he'll actually do anything. Best assume this
"position" is still open.

>> 2. We've got a chronic problem with new code causing CRITICAL_SECTION
>> deadlocks

I've seen locks that track ordering relative to other locks and assert
when they are locked out of order.

Though it's not inversion related, running ThreadSanitizer might help
find other thread safety issues:

http://code.google.com/p/data-race-test/wiki/ThreadSanitizer